summaryrefslogtreecommitdiff
path: root/lib/xcb-util-renderutil/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'lib/xcb-util-renderutil/autogen.sh')
-rw-r--r--lib/xcb-util-renderutil/autogen.sh13
1 files changed, 9 insertions, 4 deletions
diff --git a/lib/xcb-util-renderutil/autogen.sh b/lib/xcb-util-renderutil/autogen.sh
index afe529980..957f873a5 100644
--- a/lib/xcb-util-renderutil/autogen.sh
+++ b/lib/xcb-util-renderutil/autogen.sh
@@ -1,10 +1,10 @@
#! /bin/sh
-srcdir=`dirname $0`
+srcdir=`dirname "$0"`
test -z "$srcdir" && srcdir=.
ORIGDIR=`pwd`
-cd $srcdir
+cd "$srcdir"
# If this is a git checkout, verify that the submodules are initialized,
# otherwise autotools will just fail with an unhelpful error message.
@@ -22,6 +22,11 @@ then
fi
autoreconf -v --install || exit 1
-cd $ORIGDIR || exit $?
+cd "$ORIGDIR" || exit $?
-$srcdir/configure --enable-maintainer-mode "$@"
+git config --local --get format.subjectPrefix >/dev/null 2>&1 ||
+ git config --local format.subjectPrefix "PATCH libxcb-render-util"
+
+if test -z "$NOCONFIGURE"; then
+ exec "$srcdir"/configure "$@"
+fi